[SCM] exiv2 packaging branch, master, updated. debian/0.25-3.1-3734-gdcbc29a

Maximiliano Curia maxy at moszumanska.debian.org
Thu Jul 13 17:36:54 UTC 2017


Gitweb-URL: http://git.debian.org/?p=pkg-kde/kde-extras/exiv2.git;a=commitdiff;h=10dd91a

The following commit has been merged in the master branch:
commit 10dd91a945ac7de52ecbc24b89cdb76b89b694e0
Author: brad <chickb at gmail.com>
Date:   Sun Jan 16 09:54:19 2005 +0000

    added svn properties
---
 test/iotest.sh | 118 ++++++++++++++++++++++++++++-----------------------------
 1 file changed, 59 insertions(+), 59 deletions(-)

diff --git a/test/iotest.sh b/test/iotest.sh
old mode 100644
new mode 100755
index bb4bf50..6fb3e51
--- a/test/iotest.sh
+++ b/test/iotest.sh
@@ -1,59 +1,59 @@
-#! /bin/bash
-# Test driver for image file i/o
-
-ioTest()
-{
-    src=$datapath/$1
-    out1=${1}.1
-    out2=${1}.2
-
-    #run tests
-    $binpath/iotest $src $out1 $out2
-    if [ $? -ne 0 ]; then
-       let ++errors
-       return
-    fi 
-
-    #check results
-    diffCheck $out1 $src 
-    diffCheck $out2 $src 
-    echo -n "."
-}
-
-# Make sure to pass the test file first and the known good file second
-diffCheck() 
-{
-    test=$1
-    good=$2
-    
-    #run diff and check results
-    diff -q --binary $test $good
-    if [ $? -ne 0 ]; then
-       let ++errors
-    else
-       rm $test
-    fi 
-}
-
-# **********************************************************************
-# main
-
-LD_LIBRARY_PATH=../../src:$LD_LIBRARY_PATH
-binpath="../../src"
-datapath="../data"
-
-test_files="table.jpg smiley2.jpg ext.dat"
-
-let errors=0
-cd ./tmp
-echo
-
-echo -n "Io tests"
-for i in $test_files; do ioTest $i; done
-
-echo -e "
---------------------------------------------------------"
-if [ $errors -eq 0 ]; then
-   echo 'All test cases passed'
-else
-   echo $errors 'test case(s) failed!'
-fi
+#! /bin/bash
+# Test driver for image file i/o
+
+ioTest()
+{
+    src=$datapath/$1
+    out1=${1}.1
+    out2=${1}.2
+
+    #run tests
+    $binpath/iotest $src $out1 $out2
+    if [ $? -ne 0 ]; then
+       let ++errors
+       return
+    fi 
+
+    #check results
+    diffCheck $out1 $src 
+    diffCheck $out2 $src 
+    echo -n "."
+}
+
+# Make sure to pass the test file first and the known good file second
+diffCheck() 
+{
+    test=$1
+    good=$2
+    
+    #run diff and check results
+    diff -q --binary $test $good
+    if [ $? -ne 0 ]; then
+       let ++errors
+    else
+       rm $test
+    fi 
+}
+
+# **********************************************************************
+# main
+
+LD_LIBRARY_PATH=../../src:$LD_LIBRARY_PATH
+binpath="../../src"
+datapath="../data"
+
+test_files="table.jpg smiley2.jpg ext.dat"
+
+let errors=0
+cd ./tmp
+echo
+
+echo -n "Io tests"
+for i in $test_files; do ioTest $i; done
+
+echo -e "
---------------------------------------------------------"
+if [ $errors -eq 0 ]; then
+   echo 'All test cases passed'
+else
+   echo $errors 'test case(s) failed!'
+fi

-- 
exiv2 packaging



More information about the pkg-kde-commits mailing list